[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.UpdateRolesForForm

Internal method called by a Form when its DefaultControl or CancelControl has changed.

## Declaration

Source position: controls.pp line 1727

`public procedure TControl.UpdateRolesForForm; virtual;`

## Description

This method is overridden in TCustomButton, where it updates the Cancel and Default properties for the control.

## See also

TControl.ActiveDefaultControlChanged |  | Notification of a changed active DefaultControl of a form.